Skip to content

Create sex

Request

Creates a new Sex record. Sex resource in the Animal Health Data Store

Security
bearer
Path
siteIdnumberrequired

Site identifier

Bodyapplication/jsonrequired
abbreviationstring

Short code or abbreviation for the sex (e.g., M, F, U).

Example:"CODE-001"
extensionsobject

Vendor- or practice-specific extensions.

isActivebooleanrequired

Whether this sex option is active and should be available for selection.

Example:true
isDesexedboolean

Indicates whether this sex classification implies desexing (e.g., neutered male).

Example:true
namestringrequired

Human-readable name of the sex (e.g., Male, Female, Unknown).

Example:"Example Name"
sexIdstring

Stable, opaque identifier for the sex record.

Example:"123e4567-e89b-12d3-a456-426614174000"
curl -i -X POST \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/sex' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "abbreviation": "CODE-001",
    "extensions": {},
    "isActive": true,
    "isDesexed": true,
    "name": "Example Name",
    "sexId": "123e4567-e89b-12d3-a456-426614174000"
  }'

Responses

Sex created successfully

Bodyapplication/json
abbreviationstringrequired

Short code or abbreviation for the sex (e.g., M, F, U).

Example:"CODE-001"
createdAtstring, (date-time)required

Timestamp when this sex record was created.

Example:"2025-01-01T00:00:00.000Z"
extensionsobjectrequired

Vendor- or practice-specific extensions.

isActivebooleanrequired

Whether this sex option is active and should be available for selection.

Example:true
isDesexedbooleanrequired

Indicates whether this sex classification implies desexing (e.g., neutered male).

Example:true
namestringrequired

Human-readable name of the sex (e.g., Male, Female, Unknown).

Example:"Example Name"
sexIdstringrequired

Stable, opaque identifier for the sex record.

Example:"123e4567-e89b-12d3-a456-426614174000"
updatedAtstring, (date-time)required

Timestamp when this sex record was last updated.

Example:"2025-01-01T00:00:00.000Z"
Response
{ "abbreviation": "CODE-001", "createdAt": "2025-01-01T00:00:00.000Z", "extensions": {}, "isActive": true, "isDesexed": true, "name": "Example Name", "sexId": "123e4567-e89b-12d3-a456-426614174000", "updatedAt": "2025-01-01T00:00:00.000Z" }